HomeDocumentationAPI Reference
Log In
API Reference

Add a scan schedule

Adds a scheduled scan.

Body Params

Schedule json object to insert.

boolean
required

If true, immediately start scan on all hosts covered by this schedule. If false, scans will be spread out across hosts over the scan schedule interval.

int32
required

(scan schedule) Nice compatible priority of scan on target hosts.

int32
required

(scan schedule) A number between 5-100 that is a random percentage to select from the sandfly list to run.

sandfly_type
array of objects
required

(scan schedule) List of sandfly types to include in this scan.

sandfly_type*
sandfly_tags
array of strings

(scan schedule) List of sandfly tags to include in this scan. If sandfly_types is also populated, these sandfly tags will act as a filter on the sandflies selected by type. If no sandfly_type list is present, then all active sandflies with the requested tags will be candidates for this scan.

sandfly_tags
string
enum

(scan schedule) How to interpret the sandfly_tags field: 'and' if all tags must be present on the sandfly to qualify for this scan, or 'or' if any tag qualifies the sandfly.

Allowed:
sandfly_tags_exclude
array of strings

(scan schedule) List of sandfly tags to exclude in this scan. These take precendent over inclusion based on the 'sandfly_type' and 'sandfly_tag' fields.

sandfly_tags_exclude
string
enum

(scan schedule) How to interpret the sandfly_tags_exclude field: 'and' if all tags must be present on the sandfly to exclude for this scan, or 'or' if any tag excludes the sandfly.

Allowed:
sandfly_ids
array of strings

(scan schedule) Names (IDs) of specific sandflies to always include in this scan. These sandflies will be included even if they are inactive, and this list is not filtered by the include/exclude type or tag criteria configured for this scan. Furthermore, these sandflies are guaranteed to always run and are not part of the sandfly_selection_percent amount.

sandfly_ids
tags
array of strings
required

(scan schedule) Host tags to include in this scan.

tags*
tags_exclude
array of strings
required

(scan schedule) Host tags to exclude from this scan. These take precedent over inclusion based on the 'tags' field.

tags_exclude*
string
enum
required

(scan schedule) How to interpret the tags_exclude field: 'and' if all tags must be present on the host to it from this scan, or 'or' if any tag excludes the host.

Allowed:
string
enum
required

(scan schedule) How to interpret the tags field: 'and' if all tags must be present on the host to qualify for this scan, or 'or' if any tag qualifies the host.

Allowed:
string

Schedule description.

int32
required

Upper limit minutes to wait between scans.

int32
required

Lower limit of minutes to wait between scans.

int32

(scan schedule) If set to a positive value, hosts that are in the 'offline' state for longer than this number of hours will be deleted from Sandfly if this schedule attempts to connect to them but fails.

boolean

Boolean flag to set if this scheduled scan is paused or not.

int32
required

nil or -1 to disable, or a number between 0-24 to indicate the beginning hour (UTC) of the window of time during which this schedule will not run.

int32
required

nil or -1 to disable, or a number between 0-24 to indicate the end hour (UTC) of the window of time during which this schedule will not run.

string
enum
required

The type of schedule: scan or discover. gather and drift are reserved for system-managed schedules used by auto-drift profiles and cannot be directly created by users.

Allowed:
string
required

A readable name for this scheduled scan.

Responses
201

Added

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json